Bug 10624 - KickStart fails to recognize --static
KickStart fails to recognize --static
Product: Red Hat Linux
Classification: Retired
Component: installer (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Michael Fulbright
Depends On:
  Show dependency treegraph
Reported: 2000-04-06 18:08 EDT by Matt Swanson
Modified: 2008-05-01 11:37 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2000-04-11 12:44:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Matt Swanson 2000-04-06 18:08:09 EDT
There was/is a similar problem w/ 6.1.
My ks.cfg has:
network --static -ip XXX.XXX.XXX.XXX ...
Last message in A-F3:
* kickstarting through device eth0
A dialog stating: 'bad argument to kickstart network command --static:
unknown option' appears, preventing my automated install from completing.
Comment 1 Jay Turner 2000-04-11 12:43:59 EDT
The problem is that you are not using the correct syntax.  The proper command
for static addressing is "network --bootproto static --ip XXX.XXX.XXX.XXX ..."
Comment 2 Daniel Roesen 2000-04-14 19:46:59 EDT
The problem is mkkickstart generating wrong "network" hint line (with
"--static"). See Bug #10622

Note You need to log in before you can comment on or make changes to this bug.